Subject: bug#43866: 26.3; italian postfix additions

From: Juri Linkov <[email-masked]>
Date: Wed, 14 Oct 2020 11:11:24 +0300

>   > Would it make sense to support exactly the same keys that are
>   > provided by the X11 compose method?
>
> That might be a good idea.

Do we have the rights to copy all key definitions from the X11 compose method?
I guess there are no licensing restrictions?

> Also, I wonder if we could make that command more self-documenting.
> Maybe C-h in the argument for C-x 8 could display a buffer
> which displays characters you can choose.
> Each character would be followed by the sequence to type to choose that
> character.

Yes, displaying a separate buffer would be useful.  Then maybe
displaying these keys could be moved from the Help buffer of 'C-h b'
that currently displays a very long list of 'C-x 8' keys at the beginning
of the Help buffer, so it's very difficult to see the keys of the
current mode that are at the end of the long Help buffer.

> This should include all the characters Emacs supports, divided clearly
> into Unicode code blocks, with their unicode names.  Not just the ones
> that have specific short C-x 8 sequences definied in Emacs.

Maybe also 'C-u C-x =' could suggest how to input characters
using C-x 8 mnemonics.

> It would be nice to have a prefix more mnemonic than C-x 8.
> But I have nothing to suggest.

Yes, to find a more mnemonic and shorter key would be useful.
Maybe this question could be asked on emacs-devel
where someone might have ideas for such a key.

> It would be good to shorten C-x 8 RET.  That is my go-to method
> of inserting characters for which I don't know a sequence.
>
> Currently, 8 upper-case letters are valid after C-h 8, and 6
> lower-case.  Suppose we free up one case -- either the upper-case
> letters or the lower-case letters.  Then we could make typing
> a letter of that case throw you into the minibuffer.

Sorry, I don't understand.  I tried to type 'C-h 8', and it's undefined.

> In this way, we could replace C-x 8 RET UNICODE-NAME RET with
> C-x 8 UNICODE-NAME RET.
>
> Also, why not change the Unicode character names to lower-case?
> They would look nicer that way, I think.

I don't know why the Unicode standard uses upper-case, but I see no problem
in Emacs with upper-case letters when case-fold is non-nil, so you can type
lower-case letters in completions.